org.python.core

## Class Pragma.ForbiddenPragmaModule

- java.lang.Object
- - org.python.core.Pragma.PragmaModule
  - - org.python.core.Pragma.ForbiddenPragmaModule

- Enclosing interface:
    Pragma

      public static final class Pragma.ForbiddenPragmaModule
      extends Pragma.PragmaModule

- - ### Field Summary

    - ### Fields inherited from class org.python.core.Pragma.PragmaModule

      `name`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ForbiddenPragmaModule(java.lang.String name)`
    `ForbiddenPragmaModule(java.lang.String name, java.lang.String message)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addTo(PragmaReceiver receiver)`
    `Pragma` | `getPragma(java.lang.String name)`
    `Pragma` | `getStarPragma()`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ForbiddenPragmaModule

          public ForbiddenPragmaModule(java.lang.String name)

    - #### ForbiddenPragmaModule

          public ForbiddenPragmaModule(java.lang.String name,
                                       java.lang.String message)

  - ### Method Detail

    - #### getPragma

          public Pragma getPragma(java.lang.String name)

      Specified by:
        `getPragma` in class `Pragma.PragmaModule`

    - #### getStarPragma

          public Pragma getStarPragma()

      Specified by:
        `getStarPragma` in class `Pragma.PragmaModule`

    - #### addTo

          public void addTo(PragmaReceiver receiver)

Jython homepage